gnutls_x509_crt_get_authority_key_id(3)

NAME
gnutls_x509_crt_get_authority_key_id - This function returns the certificate authority's identifier

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_authority_key_id(gnutls_x509_crt_t cert, void * ret, size_t * ret_size, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

void * ret

size_t * ret_size

unsigned int * critical
    will be non zero if the extension is marked as critical (may be null)

DESCRIPTION
This function will return the X.509v3 certificate authority's key identifier. This is obtained by the X.509 Authority Key identifier extension field (2.5.29.35). Note that this function only returns the keyIdentifier field of the extension.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.and a negative value in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.